Bug 237486 - Missing dependencies
Summary: Missing dependencies
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-23 14:52 UTC by Matthias Clasen
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 18:36:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthias Clasen 2007-04-23 14:52:55 UTC
libdecoration is not linked against X libraries:

[mclasen@dhcp83-33 ~]$ ldd -r /usr/lib/libdecoration.so.0
undefined symbol: XFree (/usr/lib/libdecoration.so.0)
undefined symbol: XRenderFindStandardFormat     (/usr/lib/libdecoration.so.0)
undefined symbol: XCreateRegion (/usr/lib/libdecoration.so.0)
undefined symbol: XRenderCreateLinearGradient   (/usr/lib/libdecoration.so.0)
        linux-gate.so.1 =>  (0x00791000)
        libc.so.6 => /lib/libc.so.6 (0x00a7b000)
        /lib/ld-linux.so.2 (0x80000000)
undefined symbol: XRenderCreatePicture  (/usr/lib/libdecoration.so.0)
undefined symbol: XRenderSetPictureClipRectangles      
(/usr/lib/libdecoration.so.0)
undefined symbol: XRenderFreePicture    (/usr/lib/libdecoration.so.0)
undefined symbol: XGetWindowProperty    (/usr/lib/libdecoration.so.0)
undefined symbol: XOffsetRegion (/usr/lib/libdecoration.so.0)
undefined symbol: XRenderChangePicture  (/usr/lib/libdecoration.so.0)
undefined symbol: XRenderComposite      (/usr/lib/libdecoration.so.0)
undefined symbol: XCreateWindow (/usr/lib/libdecoration.so.0)
undefined symbol: XRootWindow   (/usr/lib/libdecoration.so.0)
undefined symbol: XRenderFillRectangle  (/usr/lib/libdecoration.so.0)
undefined symbol: XRenderSetPictureClipRegion   (/usr/lib/libdecoration.so.0)
undefined symbol: XDestroyWindow        (/usr/lib/libdecoration.so.0)
undefined symbol: XRenderCreateSolidFill        (/usr/lib/libdecoration.so.0)
undefined symbol: XRenderSetPictureFilter       (/usr/lib/libdecoration.so.0)
undefined symbol: XWindowEvent  (/usr/lib/libdecoration.so.0)
undefined symbol: XRenderCreateRadialGradient   (/usr/lib/libdecoration.so.0)
undefined symbol: XSelectInput  (/usr/lib/libdecoration.so.0)
undefined symbol: XSync (/usr/lib/libdecoration.so.0)
undefined symbol: XSetSelectionOwner    (/usr/lib/libdecoration.so.0)
undefined symbol: XSendEvent    (/usr/lib/libdecoration.so.0)
undefined symbol: exp   (/usr/lib/libdecoration.so.0)
undefined symbol: XDestroyRegion        (/usr/lib/libdecoration.so.0)
undefined symbol: XInternAtom   (/usr/lib/libdecoration.so.0)
undefined symbol: XChangeProperty       (/usr/lib/libdecoration.so.0)
undefined symbol: XFreePixmap   (/usr/lib/libdecoration.so.0)
undefined symbol: XCreatePixmap (/usr/lib/libdecoration.so.0)
undefined symbol: XRenderSetPictureTransform    (/usr/lib/libdecoration.so.0)
undefined symbol: XRenderQueryFilters   (/usr/lib/libdecoration.so.0)
undefined symbol: XUnionRectWithRegion  (/usr/lib/libdecoration.so.0)
undefined symbol: XGetSelectionOwner    (/usr/lib/libdecoration.so.0)

Comment 1 Julian Sikorski 2007-06-04 22:54:25 UTC
Is that why it is impossible sto start gtk-window-decorator? I am getting
Could not acquire decoration manager selection on screen 0 display ":0.0"
error.

Comment 2 Matthias Clasen 2007-08-12 18:47:02 UTC
Still the case in current rawhide.

Comment 3 Kristian Høgsberg 2007-08-14 18:36:03 UTC
fixed in compiz-0.5.2-3.0ec3ec.fc8

Comment 4 sangu 2007-08-15 00:30:27 UTC
In compiz-0.5.2-4.0ec3ec.fc8
Plugins in /usr/lib/compiz/  are not linked against X libraries(?):

$ ldd -r /usr/lib/compiz/libs
libscale.so       libscreenshot.so  libsvg.so         libswitcher.so
[sangu@localhost koij]$ ldd -r /usr/lib/compiz/libscreenshot.so 
undefined symbol: defaultColor  (/usr/lib/compiz/libscreenshot.so)
undefined symbol: pointerX      (/usr/lib/compiz/libscreenshot.so)
undefined symbol: pointerY      (/usr/lib/compiz/libscreenshot.so)
undefined symbol: glEnd (/usr/lib/compiz/libscreenshot.so)
undefined symbol: glEnable      (/usr/lib/compiz/libscreenshot.so)
undefined symbol: glColor4us    (/usr/lib/compiz/libscreenshot.so)
undefined symbol: glEnableClientState   (/usr/lib/compiz/libscreenshot.so)
undefined symbol: glDisable     (/usr/lib/compiz/libscreenshot.so)
undefined symbol: compFiniDisplayOptions        (/usr/lib/compiz/libscreenshot.so)
undefined symbol: glRecti       (/usr/lib/compiz/libscreenshot.so)
undefined symbol: prepareXCoords        (/usr/lib/compiz/libscreenshot.so)
undefined symbol: getIntOptionNamed     (/usr/lib/compiz/libscreenshot.so)
undefined symbol: compFindOption        (/usr/lib/compiz/libscreenshot.so)
undefined symbol: compSetDisplayOption  (/usr/lib/compiz/libscreenshot.so)
undefined symbol: pushScreenGrab        (/usr/lib/compiz/libscreenshot.so)
undefined symbol: glReadPixels  (/usr/lib/compiz/libscreenshot.so)
undefined symbol: otherScreenGrabExist  (/usr/lib/compiz/libscreenshot.so)
undefined symbol: compInitDisplayOptionsFromMetadata   
(/usr/lib/compiz/libscreenshot.so)
undefined symbol: damageScreen  (/usr/lib/compiz/libscreenshot.so)
undefined symbol: compFiniMetadata      (/usr/lib/compiz/libscreenshot.so)
undefined symbol: glColor4usv   (/usr/lib/compiz/libscreenshot.so)
undefined symbol: glDisableClientState  (/usr/lib/compiz/libscreenshot.so)
undefined symbol: runCommand    (/usr/lib/compiz/libscreenshot.so)
undefined symbol: allocateScreenPrivateIndex    (/usr/lib/compiz/libscreenshot.so)
undefined symbol: removeScreenGrab      (/usr/lib/compiz/libscreenshot.so)
undefined symbol: compLogMessage        (/usr/lib/compiz/libscreenshot.so)
undefined symbol: compAddMetadataFromFile       (/usr/lib/compiz/libscreenshot.so)
undefined symbol: glBegin       (/usr/lib/compiz/libscreenshot.so)
undefined symbol: freeDisplayPrivateIndex       (/usr/lib/compiz/libscreenshot.so)
undefined symbol: freeScreenPrivateIndex        (/usr/lib/compiz/libscreenshot.so)
undefined symbol: glPushMatrix  (/usr/lib/compiz/libscreenshot.so)
undefined symbol: damageScreenRegion    (/usr/lib/compiz/libscreenshot.so)
undefined symbol: glPopMatrix   (/usr/lib/compiz/libscreenshot.so)
undefined symbol: glVertex2i    (/usr/lib/compiz/libscreenshot.so)
undefined symbol: compInitPluginMetadataFromInfo       
(/usr/lib/compiz/libscreenshot.so)
undefined symbol: allocateDisplayPrivateIndex   (/usr/lib/compiz/libscreenshot.so)
undefined symbol: writeImageToFile      (/usr/lib/compiz/libscreenshot.so)
undefined symbol: findScreenAtDisplay   (/usr/lib/compiz/libscreenshot.so)
        linux-gate.so.1 =>  (0x00110000)
        libc.so.6 => /lib/libc.so.6 (0x00115000)
        /lib/ld-linux.so.2 (0xb7f7d000)



Comment 5 Kristian Høgsberg 2007-08-15 15:16:40 UTC
That's fine though, these are compiz modules and they're loaded into compiz,
which provides these symbols or is linked to libraries which do.


Note You need to log in before you can comment on or make changes to this bug.